Bug 244414 - kspread:msoffice2007: AREA function shows PARSE error
Summary: kspread:msoffice2007: AREA function shows PARSE error
Status: REPORTED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: filters (show other bugs)
Version: unspecified
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Ariya Hidayat
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-06-21 15:24 UTC by Lassi Nieminen
Modified: 2018-11-18 03:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testdata to be opened in kspread (7.70 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2010-06-21 15:24 UTC, Lassi Nieminen
Details
screenshot of the document in kspread (174.24 KB, image/png)
2010-06-21 15:30 UTC, Lassi Nieminen
Details
screenshot of the document in msexcel (97.82 KB, image/png)
2010-06-21 15:31 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-07-12 18:01:21 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-06-21 16:24:26 +0300 ----

Created an attachment
testdata to be opened in kspread

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1140615)
  Test document (MSOffice 2007): me07_areas_function.xlsx

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MSOffice.
  2. Open the same document in KOffice.
  3. Observe the function result of AREA function in C4 cell.

EXPECTED OUTCOME:
   Kspread should be able to display the AREA function result correctly.

ACTUAL OUTCOME:
   Kspread is unable to display the AREA function result correctly.

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-21 16:30:46 +0300 ----

Created an attachment
screenshot of the document in kspread



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-21 16:31:05 +0300 ----

Created an attachment
screenshot of the document in msexcel



--- Bug imported by faure@kde.org 2010-07-12 18:01  ---

This bug was previously known as _bug_ 176156.

Imported an attachment (id=49073)
Imported an attachment (id=49074)
Imported an attachment (id=49075)

Unknown bug field "#PCDATA" encountered while moving bug
   <#PCDATA></#PCDATA>
CC member anastasios.katopodis@noname.com does not have an account here

Comment 1 Marijn Kruisselbrink 2011-12-20 23:07:37 UTC
Git commit bf24c4e8ef4d503ae7d12aeaeaf28d83b3d1287a by Marijn Kruisselbrink.
Committed on 20/12/2011 at 23:57.
Pushed by mkruisselbrink into branch 'master'.

handle intersection operators better, there are probably still some cases that are not fully correct, but this at least improves things a lot
CCBUG: 244414
This doesn't solve the bug completely yet, since calligra-tables doesn't support the intersection operator, but it at least the odf generated by the xlsx filter now has the correct formula

M  +9    -0    filters/tables/xlsx/TestFormulaParser.cpp
M  +13   -0    tables/Util.cpp

http://commits.kde.org/calligra/bf24c4e8ef4d503ae7d12aeaeaf28d83b3d1287a
Comment 2 Marijn Kruisselbrink 2011-12-20 23:12:06 UTC
So the remaining problem in this bug is that calligra doesn't support the intersection operator as defined in odf yet. This is unfortunately a bit hard to solve, since ! (the character used for intersection operator) already has a different meaning in calligra, it is used to separate sheet name and cell range in references like Sheet2!C5 (odf and openoffice show such a formula as Sheet2.C5 instead).
So to properly fix this, I think we should go the same way as openoffice, and use ! just as intersection operator, and use . instead for the 3D references. (the other option would be of course to do what ms office does, and use ! as we do now, and interpret whitespace between references to mean the intersection operator).
Comment 3 Marijn Kruisselbrink 2011-12-20 23:13:59 UTC
(doing it the ms office way would probably be the least invasive/easiest to do actually, on save/load we would of course convert to/from odf format, just like we're doing now already anyway).
Comment 4 T Zachmann 2012-04-16 06:31:53 UTC
Moving to Calligra Sheets
Comment 5 Andrew Crouthamel 2018-11-06 15:11:37 UTC
Dear Bug Submitter,

This bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? I am setting the status to NEEDSINFO pending your response, please change the Status back to REPORTED when you respond.

Thank you for helping us make KDE software even better for everyone!
Comment 6 Andrew Crouthamel 2018-11-18 03:35:10 UTC
Dear Bug Submitter,

This is a reminder that this bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? This bug will be moved back to REPORTED Status for manual review later, which may take a while. If you are able to, please lend us a hand.

Thank you for helping us make KDE software even better for everyone!